Subject: bug#56738: closed (Re: bug#56738: Cannot find libgccjit.dylib on macOS)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Aug 2022 14:15:04 +0000

Your bug report

#56738: Cannot find libgccjit.dylib on macOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56738: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56738
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56738: Cannot find libgccjit.dylib on macOS
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Kevin Morio <[email-masked]>, [email-masked]
Date: Thu, 4 Aug 2022 14:14:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Kevin Morio <[email-masked]>
>> Date: Sun, 24 Jul 2022 12:15:17 +0200
>>
>> Dear Emacs maintainers,
>>
>> Emacs 28.1.90 (282dde887db163b25b31fba3bf10a80f2b93203c) fails to build on
>> macOS 12.4 when configured with the following invocation:
>>
>> ./configure —with-native-compilation
>> ...
>> usage: dirname string [...]
>> checking for gcc_jit_context_acquire in -lgccjit... no
>> configure: error: ELisp native compiler was requested, but libgccjit was not found.
>> Please try installing libgccjit or a similar package.
>> If you are sure you want Emacs be compiled without ELisp native compiler,
>> pass the --without-native-compilation option to configure.
>>
>> This is the same bug as bug#55173 which has been reported for
>>   Emacs 29.0.50 (a41a181db5f3aca043ed42b228dc56a6403c21a5)
>> and fixed in commit
>>   faa29fa2c9e9d5a5d7544a1a39b2a89cf57a8439
>> with the following patch
>
> Thanks, I've now cherry-picked that change to the emacs-28 branch, and
> it will be part of the upcoming Emacs 28.2.

No further comments within a week, so I'm closing this bug report.

Subject: Cannot find libgccjit.dylib on macOS
From: Kevin Morio <[email-masked]>
To: [email-masked]
Date: Sun, 24 Jul 2022 12:15:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Emacs maintainers,

Emacs 28.1.90 (282dde887db163b25b31fba3bf10a80f2b93203c) fails to build on
macOS 12.4 when configured with the following invocation:

./configure —with-native-compilation
...
usage: dirname string [...]
checking for gcc_jit_context_acquire in -lgccjit... no
configure: error: ELisp native compiler was requested, but libgccjit was not found.
Please try installing libgccjit or a similar package.
If you are sure you want Emacs be compiled without ELisp native compiler,
pass the --without-native-compilation option to configure.

This is the same bug as bug#55173 which has been reported for
  Emacs 29.0.50 (a41a181db5f3aca043ed42b228dc56a6403c21a5)
and fixed in commit
  faa29fa2c9e9d5a5d7544a1a39b2a89cf57a8439
with the following patch

diff --git a/configure.ac b/configure.ac
index 741a1a31df..03eb9783a9 100644
--- a/configure.ac
+++ b/configure.ac
@@ -3844,7 +3844,7 @@ AC_DEFUN
           MAC_CFLAGS="-I$(dirname $($BREW ls -v libgccjit | \
                                                 grep libgccjit.h))"
           MAC_LIBS="-L$(dirname $($BREW ls -v libgccjit| \
-                                            grep libgccjit.so\$))"
+                                            grep -E 'libgccjit\.(so|dylib)$'))"
         fi
       fi

Thanks,
Kevin Morio